Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Connect_Result Class Reference

This is that class which will be passed back to the completion handler when the asynchronous connect completes. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Connect_Result:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Connect_Result:

[legend]
List of all members.

## Public Methods
ACE_HANDLE | connect_handle (void) const
| I/O handle for the connection.
## Protected Methods
| ACE_POSIX_Asynch_Connect_Result (ACE_Handler &handler, ACE_HANDLE connect_handle, const void *act, ACE_HANDLE event, int priority, int signal_number)
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error)
| ACE_Proactor will call this method when the accept completes.
virtual | ~ACE_POSIX_Asynch_Connect_Result (void)
| Destructor.
void | connect_handle (ACE_HANDLE handle)
## Friends
class | ACE_POSIX_Asynch_Connect
| Factory classes will have special permissions.
class | ACE_POSIX_Proactor
| The Proactor constructs the Result class for faking results.

## Detailed Description

This is that class which will be passed back to the completion handler when the asynchronous connect completes.

This class has all the information necessary for a completion handler to uniquely identify the completion of the asynchronous connect.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Connect_Result::ACE_POSIX_Asynch_Connect_Result | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | connect_handle,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number
| ) | `[protected]`

| Constructor is protected since creation is limited to ACE_Asynch_Connect factory.

ACE_POSIX_Asynch_Connect_Result::~ACE_POSIX_Asynch_Connect_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void ACE_POSIX_Asynch_Connect_Result::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| ACE_Proactor will call this method when the accept completes. Implements ACE_Asynch_Result_Impl.

void ACE_POSIX_Asynch_Connect_Result::connect_handle | ( | ACE_HANDLE | handle | ) | `[protected]`

ACE_HANDLE ACE_POSIX_Asynch_Connect_Result::connect_handle | ( | void |  | ) | const`[virtual]`

| I/O handle for the connection. Implements ACE_Asynch_Connect_Result_Impl.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Connect`[friend]`

| Factory classes will have special permissions.

friend class ACE_POSIX_Proactor`[friend]`

| The Proactor constructs the Result class for faking results.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.cpp